<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, inital-scale=1.0">
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
<link rel="stylesheet" href="4.css">
</head>
<body>
    <div class="container-fluid">
        <header class="row d-flex flex-row justify-content-center"> 
            <div class="d-flex flex-row align-items-center justify-content-around justify-content-sm-start col-sm-9 px-sm-4 h-100">
             <img src="https://img2.goodfon.ru/original/3000x2586/2/6b/x-bukva-litera-ogon-plamya.jpg" alt="error" class="logo">
              <h1 class="name">Xnomer4</h1> 
            </div>
        </header>   
        <nav class="row d-flex flex-row justify-content-center">
          <div class="col-sm-9 px-sm-4 bg-danger mt-4">
            <div class="d-flex flex-column flex-sm-row justify-content-around py-2">
           <a href="#SS">Гипперссылки</a>
           <a href="#tab">Таблица</a>
           <a href="#form">Форма</a>
            </div>
          </div>
        </nav>
        <div class="row d-flex flex-row justify-content-center mt-4 order-sm-1">
            <div class="col-sm-9 bg-secondary">
                <div class="items d-flex flex-column">
        <div id="SS">  
        <h2>Список гиперссылок</h2>
           <ol>
               <li><a href="http://example.com">Абсолютная гиперссылка на главную страницу сайта example.com</a></li>
               <li><a href="https://example.com">Абсолютная гиперссылка на главную страницу сайта example.com в протоколе https</a></li>
               <li><a href="ftp://test.com/file.txt">Cсылка на файл на сервере FTP без авторизации</a></li>
               <li><a href="ftp://admin:12345@test.com/file.txt">Cсылка на файл на сервере FTP с авторизацией</a></li>
               <li><a href="http://example.com/file.html#example">Ссылка на фрагмент страницы некоторого сайта</a></li>
               <li><a href="#low">Cсылка на фрагмент текущей страницы</a></li>
               <li><a href="https://example.com?size=m&color=black">Ссылка с двумя параметрами в URL</a></li>
               <li>
                   <ul>
                       <li><a title="Выше и выше"  href="#top">Вверх</a></li>
                       <li><a title="Ниже и ниже" href="#low">Вниз</a></li>
                   </ul>
               </li>
               <li><a >Ссылка без href</a></li>
               <li><a href="">Ссылка с пустым href</a></li>
               <li><a href="https://example.com" rel="nofollow">Ссылка, по которой запрещен переход поисковикам</a></li>
               <li><noindex><a href="https://example.com">Ссылка запрещенная для индексации поисковиками</a></noindex></li>
               <li><p>моя страница <a href="https://vk.com/id212306462">вконтакте</a></p></li>
               <li><a href="https://s.hi-news.ru/wp-content/uploads/2019/09/123456-750x469.jpg">изображение"></a></li>
               <li>
                   <ul>
                   <li><img src="s.hi-news.ru/wp-content/uploads/2019/09/123456-750x469.jpg" usemap="#image">
                   <map name="image">
                   <area shape="rect" coords="50,30,150,100" href="kubsu.ru">
                   <area shape="circle" coords="50,30,150,100" href="https://vk.com/id212306462">
                       </li>
                   </ul>
               </li>
               <li><a href="tests.html">Относительная ссылка на страницу в текущем каталоге</a></li>
               <li><a href="about/tests.html">Относительная ссылка на страницу в каталоге about</a></li>
               <li><a href="../tests.html">Относительная ссылка на страницу в каталоге уровнем выше текущего</a></li>
               <li><a href="../../tests.html">Относительная ссылка на страницу в каталоге двумя уровнями выше</a></li>
               <li><a href="/">Сокращенная ссылка на главную</a></li>
               <li><a href="/test">Сокращенная ссылка на внутреннюю</a></li>
           </ol>
        </div> 
        </div>
</div>
    </div>
   
    <div class="row d-flex flex-row justify-content-center mt-4 order-sm-3">
        <div class="col-sm-9 bg-secondary">
            <div class="items d-flex flex-column ">
                <div id="tab"> 
         <h2>Таблица</h2> 
         <table> 
            <tr> 
               <th>1 заголовок</th> 
               <th>2заголовок</th> 
               <th>3 заголовок</th> 
            </tr> 
           <tr> 
             <th>1 ячейка</th> 
             <th>2 ячейка</th> 
             <th>3 ячейка</th> 
           </tr> 
          <tr> 
             <th>ячейка 4</th> 
             <th colspan="2">ячейка 5</th> 
          </tr> 
           <tr> 
             <th rowspan="2">ячейка 6</th> 
             <th>ячейка 7</th> 
             <th>ячейка 8</th> 
           </tr> 
          <tr> 
             <th>ячейка 9</th>  
             <th>ячейка 10</th> 
          </tr> 
         </table> 
        </div>
    </div> 
    </div> 
  </div>
  <div class="row d-flex flex-row justify-content-center mt-4 order-sm-2">
    <div class="col-sm-9 bg-danger"> 
        <div class="items d-flex flex-column ">   
   <div id="form"> 
         <h2>Форма</h2>
       <form>
           <label>
               Введите имя:<br />
               <input name="field-name-1" 
               placeholder="Владислав" />
           </label><br />

           <label>
               Введите email:<br />
               <input name="field-email"
                 placeholder="test@example.com"
                 type="email" />
           </label><br />

           <label>
               Введите дату рождения:<br />
               <input name="field-date"
                 value="2001-07-14"
                 type="date" />
           </label><br />

           Ваш пол:<br />
           <label><input type="radio" checked="checked"
               name="radio-group-1" value="Значение1" />
               Мужской
           </label>
           <label><input type="radio"
               name="radio-group-1" value="Значение2" />
               Женский
           </label><br />

           Кол-во конечностей:<br />
           <label><input type="radio" checked="checked"
               name="radio-group-2" value="Значение1" />
               2
           </label>
           <label><input type="radio" checked="checked"
               name="radio-group-2" value="Значение1" />
               4
           </label>
           <label><input type="radio" checked="checked"
               name="radio-group-2" value="Значение1" />
               5
           </label>
           <label><input type="radio"
               name="radio-group-2" value="Значение2" />
               8
           </label><br />

           <label>
               Ваши сверхспособности:
               <br />
               <select name="field-name-4"
               multiple="multiple">
                   <option value="Значение1" selected="selected">Бессмертие</option>
                   <option value="Значение2" selected="selected">Прохождение сквозь стены</option>
                   <option value="Значение3" selected="selected">Левитация</option>
               </select>
           </label><br />

           <label>
               Ваша биография:<br />
               <textarea name="field-name-2"></textarea>
           </label><br />

             Соглашение:<br />
           <label><input type="checkbox" checked="checked"
           name="check-1" />
           С контрактом ознакомлен
           </label><br />

           <input type="submit" value="Отправить" />
       </form>
   </div>
   </div>
   </div>
</div>
          <footer id="low"> 
            <p>Выполнил Абрамов Владислав</p> 
          </footer> 
    
</div>
</body>   
</html>
